package stack;

import java.util.ArrayList;

public class ArrayListStack<T> implements MyStack<T> {
	
	private ArrayList<T> array = new ArrayList<T>();
	
	@Override
	public void push(T item) {
		array.add(item);
	}
	
	@Override
	public T pop() {
		return array.remove(array.size() - 1);
	}
	
	@Override
	public T peek() {
		return array.get(array.size() - 1);
	}
	
	@Override
	public int size() {
		return array.size();
	}
	
	@Override
	public boolean isEmpty() {
		return array.isEmpty();
	}
}
